Support Matrix
UFT One

Software Version: 23.4

This document, also known as a Product Availability Matrix (PAM), provides information on system requirements, supported operating systems, technologies, and integrations.

In this topic:

Hardware requirements

To successfully install and run UFT One, your computer must meet the minimum hardware requirements listed.

Performance may be improved by using a computer with the recommended system requirements.

The following hardware requirements are relevant for UFT One version 23.4.

Hardware Requirement Details
CPU Recommended Dual core with 2.6 GHz. Quad Core (4 cores) with 4.0 GHz each if you use the local AI service for AI Tests.
Memory Recommended 4 GB or more of RAM. 8 GB if you use the local AI service for AI Tests
Resolution Minimum 1024 X 768 or higher
Free HD Space Recommended SSD type, 20 GB of free disk space for application files and folders
Browser Required A recent version of modern browsers, see more details in the GUI web support.
Remote AI Object-Detection Service
(Installed on another computer and
accessed by the UFT One machines.)
Required
  • Under 15 concurrent users:
    • Processor: 16 CPU cores. Intel Xeon Platinum 8375C @ 2.90GHz or stronger.
    • GPU: NVIDIA T4 Tensor Core GPU or stronger
    • Memory: 32 GB
  • 15 - 30 concurrent users:
    • Processor: 32 CPU cores. Intel Xeon Platinum 8375C @ 2.90GHz or stronger.
    • GPU: NVIDIA T4 Tensor Core GPU or stronger.
    • Memory: 32 GB
  • 30 - 60 concurrent users:
    • Processor: 64 CPU cores. Intel Xeon Platinum 8375C @ 2.90GHz or stronger.
    • GPU: NVIDIA T4 Tensor Core GPU or stronger.
    • Memory: 32 GB

Back to top

Software requirements

UFT One versions 23.4 have the following software requirements:

Requirement Details
Microsoft Visual C++
2022
Redistributable or higher

The Microsoft Visual C++ 2022 Redistributable, or a higher version, is required before installing UFT One, included in the prerequisites installer.

This Microsoft Visual C++ 2022 Redistributable requires a Microsoft update:

         Tip: If the installation does not start due to missing KB files, troubleshoot by viewing the VC2019Prerequisite_yyyymmdd_XXXXXX.log file in the %TEMP% directory.

UFT Developer
(formerly known as LeanFT)
If you are installing UFT Developer, you must first install Node.js. Supported Node.js versions: 16.14.0* - 20.9.0
Note:* UFT Developer shall end support for Node.js 16 from next release on.
Additional
software
requirements

The following programs are required before installing UFT One. If they are not found, the UFT One installer will prompt you to install them.

  • .NET 4.8 framework
  • .NET 6.0.3 Desktop Runtime (or later versions)
  • Microsoft Access database engine 2016 32bit
  • Microsoft pdm.dll

The following programs are recommended before installing UFT One.

If you plan to use API testing, to test web services using WSE security settings, you must have the .NET Framework 3.5, WSE 2.0sp3 package, and WSE 3.0 package installed on your computer. These are not available with the UFT One installation files, and must be separately downloaded.

  • Microsoft WSE 2.0 SP3 Runtime
  • Microsoft WSE 3.0 Runtime

If you plan to use AI features, you need to install or enable the following components. These are not available with the UFT One installation files, and must be separately downloaded.

  • Microsoft Media Feature Pack
  • For Windows Server 2012 and later, Microsoft Media Foundation

Back to top

Operating systems

UFT One runs on the following operating systems both on physical servers and on virtual machines.

Product Version UFT One 23.4
Windows Server 2012 R2
Windows 10 (32, 64-bit)
(Version 20H2)
Windows 10 (32, 64-bit)
(Version 21H1)
Windows 10 (32, 64-bit)
(Version 21H2)
Windows 10 (32, 64-bit)
(Version 22H2)
Windows 11 (64-bit)
(Version 21H2)
Windows 11 (64-bit)
(Version 22H2)
Windows Server 2016
Windows Server 2019
Windows Server 2022
Surface Windows 10

Back to top

Virtualization solutions

UFT One can run on any virtualization system as long as the guest operating system is supported by UFT One (see here).
In addition, the following virtualization systems have been formally tested:

Product Version UFT One 23.4
Citrix
Amazon WorkSpace (AWS)

Back to top

Character sets

Language Version UFT One 23.4
European (ISO-Latin-1)
Simplified Chinese (GB)
Traditional Chinese (Big5)
Japanese
Korean
Unicode (UTF8/UTF16) 2.00
2.10
3.00
4.00

Back to top

Version control integrations

Product Version UFT One 23.4
GIT 2.14.3 or earlier
2.18.x - 2.40.x
TortoiseGit 2.8
Subversion Any
TortoiseSVN 1.8.X - 1.14.X

Back to top

Integration with other OpenText products

This matrix lists the following UFT One integrations:

Application Lifecycle Management

Product Version UFT One 23.4
ALM 15.0.X
15.5.X
16.0.X
17.0.X
24.1

Back to top

Business Process Testing

Product Version UFT One 23.4
BPT 15.0.X
15.5.X
16.0.X
17.0.X
24.1

Back to top

Business Process Monitor

Product Version UFT One 23.4
Business Process Monitor 9.4x
9.5x

Note:For more information, see the Business Process Monitor Support Matrix.

Back to top

LoadRunner Professional / LoadRunner Enterprise

Product Version UFT One 23.4
LoadRunner Professional 2020
2021, 2021 SP1
2021 SP2 ✔*
2022, 2022 R1 ✔*
2023, 2023 R1 ✔*
LoadRunner Enterprise 2020 SP3 ✔*
2021, 2021 SP1, 2021 SP2
2022, 2022 R1
2023, 2023 R1 ✔*

Note:* When operating on the same machine, LoadRunner has to be installed first and then UFT One.

Back to top

Sprinter

Product Version UFT One 23.4
Sprinter 23.4

Back to top

Digital Lab

Note: For the integration support versions information, including the cloud browser support, see the UFT Digital Lab Support Matrix.

Back to top

UFT Developer*

Product Version UFT One 23.4
UFT Developer 23.4 ✔*

Note: *Coexistence on the same machine is supported .

Back to top

Service Virtualization

Product Version UFT One 23.4
Service Virtualization 5.0
5.1.x
5.2 - 5.6
2022 R2

Back to top

Network Virtualization

Product Version UFT One 23.4
Network
Virtualization
2022, 2022 R1
2023, 2023 R1

Back to top

Functional Testing License Server

Product Version UFT One 23.4
Autopass 11.7.0 ~ 11.9.x
12.0.x, 12.1.x, 12.3
2022.5, 2022.8, 2022.11
2023.2, 2023.05, 2023.06, 23.4

Note: For earlier versions of Autopass, please consult Support team for more information.
Please refer to the Market Place to get the information about the latest available Autopass version.
Multi-tenancy is supported for Autopass License Server 2022.8 and later.

Back to top

UFT One Add-ins

This matrix lists for the following UFT add-ins:
Note: All supported technologies are supported for both 32-bit and 64-bit applications, unless otherwise specified.

UFT One GUI Testing Web Add-in

This matrix lists the following support for the UFT One GUI testing Web Add-in:

Web Testing in Digital Lab The browser support information in this document is for desktop browsers only. For more details about the web testing on mobile devices and cloud browser version support, see the UFT Digital Lab support matrix.

Internet Explorer

Product Version UFT One 23.4
Internet Explorer 11
11.00 EPM*

Note:
* For EPM (Enhanced Protected Mode), ActiveX, Silverlight and Flex are not supported.

Back to top

Microsoft Edge

Product Version UFT One 23.4
Microsoft Edge (Chromium-based) 79 - 125
Microsoft Edge Legacy* 16.16299
17.17134
18.17763
18.18362

Note:
* The version is for EdgeHTML version. Available in Edge -> Settings.
Notice: UFT One shall end support Legacy Edge from next release on.

Back to top

Chrome

Product Version UFT One 23.4
Chrome 31.0 – 68
69 - 126
Headless Chrome*

Note:
If Chrome has no internet connection, the UFT extension may not be up to date. You must update the extension to support later Chrome versions.
*Only Chrome versions 60 and above provide headless mode.

Back to top

Default Chrome Driver in UFT One Installation

Product Version UFT One 23.4
Chrome Driver* 2.40

Note:
*You can replace the default Chrome Driver with another version to meet your testing needs. For details, see the UFT One Help Center

Back to top

Firefox

Product Version UFT One 23.4
Firefox 56 or earlier
57 - 125
FireFox ESR 60
68
78
91
102
115

Back to top

Safari on Mac

Product Version UFT One 23.4
Safari on Mac 14
15
16

Back to top

PhantomJS

Product UFT One 23.4
PhantomJS

Back to top

Browser technologies

Product Version UFT One 23.4
HTML 4.00
5.00 ✔*
XML 1.00

Note:
*See the UFT One Help Center for details about supported objects.

Back to top

Web 2.0 Toolkits

Toolkit Version UFT One 23.4

Microsoft Edge Webview2

117

Chromium Embedded Frameworks**

117
Dojo 1.2.3, 1.5 - 1.16
1.17 ✔*
GWT 2.4, 2.50, 2.70
2.8x
ASP.NET Ajax 3.3.0.30512, 3.5.30729.1
4.1.5
YUI 2.7.0 (not Chrome)
jQuery UI 1.8.16, 1.10.4, 1.11.x
1.12.x, 1.13.x
SalesForce Lightning
SalesForce
Ext-JS 4.2.2, 4.2.3
6.0.0
6.7
7.5, 7.6 ✔*
Angular

SiebelOpenUI

(IE 11, Chrome)
8.1x , 8.2x
16, 17,18(Chrome)
19, 20
AG Grid 28.2.x ✔*
29.0.0 ✔*
30.0.0 ✔*
UI-Grid 4.11.x
NW.js
React

Electron(Tech-Preview)

Sandbox Mode Only

Note:
* Not supported in IE or IE mode of Chromium Edge.
** Includes Java CEF, CEF Sharp and Adobe CEP.

Back to top

UFT One GUI Testing Java Add-in

This matrix lists the following support for the UFT One GUI testing Java Add-in:

Oracle Java

Product Version UFT One 23.4
JRE 6, 7
8 - 19

Back to top

IBM Java

Product Version UFT One 23.4
IBM Java 1.4.2, 1.5, 1.6, 1.7
1.8
OpenJ9/HotSpot of AdoptOpenJDK 8
11
17

Back to top

Zulu OpenJDK

Product Version UFT One 23.4
Zulu OpenJDK 8, 11-16
17, 18, 19

Back to top

OpenJDK

Product Version UFT One 23.4
OpenJDK 8-16
17, 18, 19

Back to top

Java Oracle Toolkits

Product Version UFT One 23.4
Abstract Window Toolkit (AWT) 8-16
17, 18, 19
Swing (JFC) 8-16
17, 18, 19
JavaFX 8-10
Eclipse
SWT
3.2-3.8
4.02-4.23

Back to top

JavaFX*

Product Version UFT One 23.4
JavaFX 11 - 19

Note:
* Starting from Java 11, JavaFX is a standalone module.

Back to top

UFT One Java Add-in Extensibility

Product Version UFT One 23.4
Eclipse 4.16

Back to top

UFT One GUI Testing .NET Add-in

This matrix lists the following support for the UFT One GUI testing .NET Add-in:

Microsoft .NET Framework

Product Version UFT One 23.4
.Net Framework 4.0, 4.5.x, 4.6.x
4.7
4.7.1
4.7.2
4.8
.Net* 5
6
Visual Studio
(with .Net Addin Extensibility)
2010, 2012, 2013
2015

Note:
*Tech Preview.
64 bit Web Forms application is not supported.

Back to top

Third party .NET controls

Product Version UFT One 23.4
ComponentOne TrueDB for .Net 2.00
ComponentOne FlexGrid for .Net 2.50
DevExpress WinForms 15.1
17.1
18.2
19.1, 19.2
20.1 - 20.2
Infragistics UltraWinGrid 3.2.X
Infragistics UltraWebGrid 3.10

Back to top

UFT One GUI Testing WPF Add-in

This matrix lists the following support for the UFT One GUI testing WPF Add-in:

Windows Presentation Foundation

Product Version UFT One 23.4
WPF .NET Framework 4.0, 4.5.x, 4.6.x, 4.7.x, 4.8
.Net 5, 6

Note:
64 bit XBAP application is not supported.

Back to top

UFT One WPF Add-in Extensibility

Product Version UFT One 23.4
Microsoft .NET Framework (For WPF only) .NET Framework 4.0, 4.5.x, 4.6.x, 4.7.x, 4.8
Microsoft .NET 5, 6
Visual Studio 2015, 2017, 2019, 2022 ✔*

Note:
*Support .NET for Visual Studio later than 16.5.
64 bit XBAP application is not supported.

Back to top

UFT One GUI Testing UI Automation Add-in

Note:
Applications being tested must support Microsoft UI Automation.

This matrix lists the following support for the UFT One GUI testing UI Automation Add-in:

Browsers

Product Version UFT One 23.4
Internet Explorer 11.00

Back to top

Third party controls

Product Version UFT One 23.4
DevExpress WPF (Grid Only) 16.x - 20.x
Infragistics WPF. WinForms
Microsoft Dynamics AX 2012
2016
Microsoft Dynamics 365 9.1

Back to top

Certified Technologies with UIA

Product Version UFT One 23.4
.Net WinForms All
WPF All
Microsoft Office 2013, 2016
2019
365*
Oracle JavaFX All
Delphi All
QT 5.1 - 5.3
UWP

Note:
*Desktop version is supported by UIA Pro. Web version is supported by Web addin.

Back to top

UFT One GUI Testing SAP Solutions

Product Version UFT One 23.4
SAP GUI 7.60*
7.70
8.00
SAP S4 HANA 1909
2020
2021
2022
SAP GUI for HTML SAP_UI 754 ITS UR patch 2308
SAP_UI 755 ITS UR patch 2206
SAP_UI 756 ITS UR patch 2206
SAP_UI 757 ITS UR patch 2306
Solution Manager 7.2**
Portals 7.50
CRM CRM 7.02 (WebCUIF 7.31)
CRM 7.03(WebCUIF 7.47)
S4CRM release 204
S4CRM release 205
S4CRM release 206
S4CEXT release 107
WebDynpro ABAP SAP_UI 754 SP10 with UR patch 2308
SAP_UI 755 SP08 with UR patch 2213
SAP_UI 756 SP03 with UR patch 2202
SAP_UI 757 SP00 with UR patch 2308
NetWeaver Business Client for HTML 3.6
SAP UI5 SDK for Desktop 1.38 (Fiori FES 2.0)
1.71 (Fiori FES 6.0)
1.84 (Fiori FES 2020)
1.96 (Fiori FES 2021)
1.108 (Fiori FES 2022)
Hybris 6.0
NWBC Desktop Client
(AKA SAP Business Client)
7.0*
7.7
8.0
Success Factors
Ariba
FieldGlass
Concur

Note:
* These versions are out of maintenance and not supported by SAP. You may get more detail from SAP.
** Integration with SAP Solution Manager is not supported with SAP GUI 8.0 64bit version.
For more information about the browser support, see the UFT One Help Center

Back to top

UFT One GUI Testing Oracle Add-in

Supported on Internet Explorer, using Java Plug-in, on Google Chrome via JNLP, using Java Web Start and FSAL (Forms Standalone Launcher)

Product Version UFT One 23.4
Oracle Forms 10g
(releases 1 and 2)
11g , 11g R2
12c ✔**
Oracle applications – E-business Suite 12.1,12.1.1,12.1.3 ✔*
12.2.2,12.2.4,12.2.6 - 12.2.10 ✔*

Note:
* Java Web Start using JNLP is supported using JRE 8 Update 121 and above.
** Oracle Forms Standalone Launcher (FSAL) is supported using Java 8 Update 211 or later and Java 11.

Back to top

UFT One GUI Testing PeopleSoft Add-in

Product Version UFT One 23.4
PeopleTools 8.40 - 8.53
8.56
8.57
Client Modules 8.00, 8.30, 8.40, 8.8, 8.9, 9.00
9.2

Back to top

UFT One GUI Testing Siebel Add-in

Support is available for High Interactivity (HI) applications by default, and for Standard Interactivity (SI) as noted.

SiebelOpenUI support is added as part of Web 2.0 Extensibility Add in.

Product Version UFT One 23.4
Siebel 8.0x (SI)

Back to top

UFT One GUI Testing Delphi Add-in

Some of the Delphi Objects are based on Delphi and InfoPower Studio Controls like TwwDBEdit, TwwDBSpinEdit, TwwDBRichEdit, TwwDBGrid.

Product Version UFT One 23.4
Delphi IDE versions
(VCL)
2007 - 2010
XE, XE2, XE7
10.1 - 10.4
11.x
Delphi Agentless* 10.0

Note:
* Supported for 32-bit Delphi applications on 64-bit Windows OS only.

Back to top

UFT One GUI Testing Visual Basic Add-in

Product Version UFT One 23.4
Visual Basic 5.00, 6.00

Back to top

UFT One GUI Testing Power Builder Add-in

Product Version UFT One 23.4
PowerBuilder 12.00, 12.50
12.60*
2017 R2, 2017 R3*
2019 R3
2022 R3

Note:
* Supported for 32-bit systems only.

Back to top

UFT One GUI Testing QT Add-in

Recognition support for controls inherited from the QWidget class.

Product Version UFT One 23.4
Microsoft Visual Studio Compiler 4.60
4.8.X
5.3
5.9
5.10 - 5.13
MinGW 4.60
4.8.X
5.3
5.9
5.10 - 5.13

Back to top

UFT One GUI Testing Stingray Add-in

This matrix lists the following support for the UFT One GUI testing Stingray Add-in:

MFC Stingray Object Grid/Object Toolkit version combinations

Product Version UFT One 23.4
MFC 7.1 OG9.02-OT8.02
OG9.03-OT8.03
MFC 8.0 OG10.0-OT9.0
OG11.0-OT10.0
OG12.0-OT11.0
OG12.0.1- OT11.0.1
OG12.0.4-OT11.0.4
MFC 9.0 OG12.0-OT11.0
OG12.0.1- OT11.0.1
OG12.0.4-OT11.0.4
OG13.01-OT12.01
MFC 10.0 OG12.0.4-OT11.0.4
OG13.01-OT12.01
MFC 11.0 OG13.01-OT12.01
MFC 11.0 OG12.20- OT12.20
MFC 12.0 OG12.20- OT12.20
MFC 14.0 OG12.20-OT12.20 and OG13.00-OT13.00

Stingray controls

Product Version UFT One 23.4
Stingray Controls WinTreeView
WinTab
WinToolbar
WinTable

Back to top

UFT One GUI Testing Test Extensibility Add-in (TEA) – Visual Studio

Product Version UFT One 23.4
TEA 2010, 2012, 2015

Back to top

UFT One GUI Testing VisualAge Add-in

VisualAge Smalltalk

Product Version UFT One 23.4
VisualAge Smalltalk 6.0, 7.5, 8.0
VAST Controls EwIconArea
EwIconTree
EwIconList
EwFlowedIconList
EwTableList
EwTableTree
EwWINNotebook
EwPMNotebook
CwArrowButton
CwCheckButton
CwComboBox
CwPushButton
CwRadioButton
CwScale
CwText
EwSlider
EwBasePage
EwSpinButton
EwSplitBar

Back to top

UFT One GUI Testing ActiveX Add In

ActiveX controls

Product Version UFT One 23.4
Apex True DataBound Grid 5.00 , 6.00
Apex True OLE DB Grid 6.00
FarPoint Spreadhseet 2.50, 3.00, 3.50, 6.00,7.00, 8.00
FarPoint Spreadsheet (OLEDB) 3.00, 3.50, 6.00
7.00, 7.0 (UNICODE), 8.00
Microsoft DataBound Grid 5.00
Microsoft Flex Grid 6.00
Microsoft Grid 1.00
Sheridan Data Grid 2.00
Sheridan Data Grid 3.10
Tidestone FormulaOne Grid 6.x

Back to top

UFT One GUI Testing Terminal Emulator Add-in

This matrix lists the following support for the UFT One GUI testing Terminal Emulator Add-in:

Supported Protocols

Protocol UFT One 23.4
3270*(HLLAPI) ✔*
5250 (HLLAPI)
VT100 ( text recognition)

Note:
*Support for 3270 is highlighted specifically for each TE in the section below.

Supported Terminal Emulators

Product Version UFT One 23.4
Micro Focus Attachmate Extra 9.0, 9.1, 9.2, 9.3, 9.3.1(2612)
9.4,9.5
OpenText HostExplorer 10.00, 2007 (12), 14 (64bit)
15 (32bit, 64bit)
IBM Client Access 3.20, 5.10
IBM i Access- Client Solutions x32, x64
IBM Personal Communications (PCOM) 5.0, 5.6, 5.7, 5.9, 6.00
12.00, 13.00
14.00
IBM Host on Demand (HOD) 14 (32bit)
IBM WebSphere Host on Demand 8.00, 10.00
11.00
12.00
Micro Focus Rumba+ Desktop 8.1,8.2, 9.3, 9.4
9.2,9.5
10
Micro Focus Web-to-Host 6.1, 6.2, 6.70
6.80,6.90
OpenText Reflection Desktop 16.1
16.2
17.0
Zephyr Passport PC TO HOST & WEB TO HOST 2004.00
2007.00
Seagull
BlueZone
(3270)
3.20 , 4.00, 5.00
6.X
Rocket BlueZone 7.1 (32bit)
8.1 (32bit, 64bit)
10.1 (32bit, 64bit)
Attachmate
WRQ Reflection
8.00 – 12.00, 14.00
2007.00 , 2014.00 (3270)
Attachmate
WRQ Reflection for UNIX and OpenVMS
12.00 (text only)
HPE Teem Talk 7.20
Putty Any
TCPLink 3.50-01 (3270)

Back to top

UFT One GUI Testing Mobile Add-in Applications

Product OS UFT One 23.4
Mobile Applications* Android
iOS

Note:
*For more details about Mobile OS and Mobile Application, see the see the UFT Digital Lab support matrix.

Back to top

UFT One GUI Testing PDF Add-in

Product Version UFT One 23.4
UFT One PDF Testing Utility

Back to top

UFT One API Testing Technologies

This matrix lists the following support for the UFT One API testing:

Docker

Product UFT One 23.4
Docker

Back to top

Web Services

Product Version UFT One 23.4
WSDL 1.10
SOAP 1.10
1.20
Attachments MIME
DIME
WS-I 1.00
UDDI 3.x
WADL
OpenAPI (formerly known as Swagger) 2.0
3.0
OData
MQTT
CoAP 1

Back to top

HTTP

Product Version UFT One 23.4
HTTP 1.00
1.10

Back to top

JSON

Product UFT One 23.4
JSON

Back to top

SAP

Product Version UFT One 23.4
SAP .Net Connector 3.00
OData for SAP HANA

Back to top

Security

Product Version UFT One 23.4
Web Services Security tokens X509
UserName
Kerberos, Kerberos2
SAML1.1
SAML2.0
JKS Certificate
Web Services WCF Security CustomBinding
HTTPBinding
Federation
Web Services WS - Addressing 1.00
04/08
04/03
SSL 3.00
TLS 1.0
1.1
1.2
1.3*

Note:
*There are prerequisites for this feature. For details, see the UFT One Help Center

Back to top

Messaging Services

Product Version UFT One 23.4
JMS - interfaces 1.0.2b
1.10
JMS - Servers WebLogic Platform 8.1
ActiveMQ 5.3.0
Tibco 6.0
Tibco 8.x
IBM Web Sphere 7.00, 7.10, 7.50
8.00, 9.00

Back to top

XML technologies

Product Version UFT One 23.4
XML 1.00
1.10
XSD 1.00
1.10
Xpath 1.00
2.00

Back to top

Activity Wizard

Product Version UFT One 23.4
Visual Studio 2010 and lower
2012.00
Web Sockets

Back to top

Network Capture

Product UFT One 23.4
HAR
tcpdump/libpcap

Back to top

Databases

Product Version UFT One 23.4
Microsoft SQL Server Any (support through ODBC / OleDB driver)
Oracle Any (support through ODBC / OleDB driver)
My SQL Any (support through ODBC / OleDB driver)
PostgreSQL Any (support through ODBC / OleDB driver)
Drivers ODBC

Note:
Only support 32bit ODBC/OleDB driver.

Back to top

Network

Product UFT One 23.4
FTP
FTPS
SFTP

Back to top




Visit the Product Support Lifecycle table for release details and dates. The Product Support Lifecycle policy defines the level of support OpenText provides for each product version.

Copyright Notice

© 1992 - 2023 Open Text

The only warranties for products and services of Open Text and its affiliates and licensors (“Open Text”) are as may be set forth in the express warranty statements accompanying such products and services. Nothing herein should be construed as constituting an additional warranty. Open Text shall not be liable for technical or editorial errors or omissions contained herein. The information contained herein is subject to change without notice.